Package org.openjump.core.ui.plugin.datastore.ocient

# Class OcientFeatureInputStream

java.lang.Object
com.vividsolutions.jump.io.BaseFeatureInputStream
com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesFeatureInputStream
org.openjump.core.ui.plugin.datastore.ocient.OcientFeatureInputStream

All Implemented Interfaces:
  `com.vividsolutions.jump.io.FeatureInputStream`

    public class OcientFeatureInputStream
    extends com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesFeatureInputStream

## Field Summary

### Fields inherited from class com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesFeatureInputStream

`conn, featureSchema, queryString`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`OcientFeatureInputStream​(Connection conn, String queryString)` |
`OcientFeatureInputStream​(Connection conn, String queryString, String externalIdentifier)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`protected com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesResultSetConverter` | `getResultSetConverter​(ResultSet rs)` | Returns a OcientResultSetConverter

### Methods inherited from class com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesFeatureInputStream

`close, getConnection, getFeatureSchema, getQueryString, getStatement, readNext`

### Methods inherited from class com.vividsolutions.jump.io.BaseFeatureInputStream

`hasNext, next`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OcientFeatureInputStream

public OcientFeatureInputStream​(Connection conn, String queryString)

### OcientFeatureInputStream

public OcientFeatureInputStream​(Connection conn, String queryString, String externalIdentifier)

## Method Details

### getResultSetConverter

protected com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesResultSetConverter getResultSetConverter​(ResultSet rs)
Returns a OcientResultSetConverter

Overrides:
  `getResultSetConverter` in class `com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesFeatureInputStream`
Parameters:
  `rs` -
Returns: